################################################################################
# Cocoon Configuration file
################################################################################

################################################################################
# Browser agents
################################################################################

# NOTE: numbers indicate the search order. This is very important since
# some words may be found in more than one browser description. (MSIE is
# presented as "Mozilla/4.0 (Compatible; MSIE 4.01; ..." which tells you A LOT
# about M$ attitude to screw things up for their own pleasure)
#
# for example, the "explorer=MSIE" tag indicates that the XSL stylesheet
# associated to the media type "explorer" should be mapped to those browsers
# that have the string "MSIE" in their "user-Agent" HTTP header.

browser.0 = explorer=MSIE
browser.1 = netscape=Mozilla
browser.2 = lynx=Lynx
browser.3 = opera=Opera
browser.4 = java=Java

################################################################################
# Class definitions
################################################################################

# These properties allow the tuning of Cocoon for your particular environment
# since its architecture is completely abstracted from actual DOM parsing
# processing implementations

# DOM parser encapsulation classes
#############################################

#
# OpenXML parser (http://www.openxml.org/)
parser = org.apache.cocoon.parser.OpenXMLParser

#
# IBM XML4J Parser (http://www.alphaworks.ibm.com/)
#parser = org.apache.cocoon.parser.IBMXMLParser

#
# SUN ProjectX Parser (http://developers.java.sun.com/)
#parser = org.apache.cocoon.parser.SunXMLParser

# DOM processor encapsulation classes
##########################################

# NOTE: these configurations define the processor pipeline. You may have
# any number of processor and the document will be filtered thru each one
# of them following the order number you choose.

#
# XSL:P processor (http://www.clc-marketing.com/xslp/)
processor.0 = org.apache.cocoon.processor.XSLPProcessor

#
# Lotus XSL processor (http://www.alphaworks.ibm.com/)
#processor.0 = org.apache.cocoon.processor.LotusXSLProcessor

#
# DOM printer encapsulation classes
############################################

#
# OpenXML DOM printer
printer = org.apache.cocoon.printer.OpenXMLPrinter

# Specifies the stream type.
# Valid options are:
#  - html (default)
#  - xhtml
#  - xml
printer.stream.type = html

# Specifies the stream format
# Valid options are:
#  - normal (default)
#  - compact
#  - pretty
printer.stream.format = normal

# The numbers of characters at which to wrap lines
printer.line.wrap = 120

# The number of spaces to indent when descending the DOM tree
printer.indent.spaces = 1

#
# Sun ProjectX DOM printer
# printer = org.apache.cocoon.printer.SunPrinter

#
# Cache manager
############################################

# The caching implementation. Current choices are:

#
# CheckDateCache - checks the date of the base XML file and (optionally)
# the XSL stylesheet to determine the freshness of the cache
cache = org.apache.cocoon.cache.CheckDateCache
cache.checkxsl = false

#
# ForeverCache - never expires pages unless the cache is full
# cache = org.apache.cocoon.cache.ForeverCache

#
# DoNothingCache - never store pages in the cache
# cache = org.apache.cocoon.cache.DoNothingCache

# Cache management parameters - all caching implementations except
# DoNothingCache use these (well, _this_ right now!) parameters
# memsize - the number of pages to store in the in memory table (0 is no limit)
cache.memsize = 100
